Skip to main content
`Ctrl`+`K`

# numpy.asmatrix

numpy.asmatrix(data, dtype=None)

  Interpret the input as a matrix.

  Unlike `matrix`, `asmatrix` does not make a copy if the input is already a matrix or an ndarray. Equivalent to `matrix(data, copy=False)`.

  Parameters:
    data array_like

      Input data.

    dtype data-type

      Data-type of the output matrix.

  Returns:
    mat matrix

      data interpreted as a matrix.

  Examples

      >>> import numpy as np
      >>> x = np.array([[1, 2], [3, 4]])

      >>> m = np.asmatrix(x)

      >>> x[0,0] = 5

      >>> m
      matrix([[5, 2],
              [3, 4]])